rcmdnk's blog

タップ [DVD]

暫く前から brew update時に

Error: Failed to update tap: caskroom/versions

というErrorが出てましたがそれの解決法について。

Sponsored Links

タップし直す

$ brew untap caskroom/versions
$ brew tap caskroom/versions

これで最新のディレクトリになり、Failed to updateのエラーも無くなります。

Homebrew-Caskで色々アップデートがあり、 その際にこういった状況になることがこれまでもあったようです。

Failed to update tap: caskroom/cask · Issue #6177 · caskroom/homebrew-cask

ちなみに、これに関してはEl Capitanは関係ありません。

Caskroom からタップしてる、 homebrew-fontshomebrew-versions の両方共が同じ時期から同じようなエラーを出していました。

10日くらい前に.gitattributestestが両レポジトリ共同時にアップデートされてるので これのせい。。。?

単にこのレポジトリがある所(/usr/local/Library/Taps/caskroom/homebrew-versions/)に行って git pullしてみると出来てしまったので、 レポジトリのアップデート以前の何かのチェックで失敗してたみたいなので その辺かな、と思うのですが、よく分からず。

取り敢えずタップしなおせば治ります。

Sponsored Links
Sponsored Links

« [PR] マイク付きイヤホンSoundPEATS(サウンドピーツ) M20 FirefoxのVimperatorで'SyntaxError: expected expression, got keyword 'let''なエラー »